## com.rbnb.api
Class Username

    java.lang.Object
      com.rbnb.api.Username

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Username

extends Object

Username class for the <bold>RBNB V2</bold> DataTurbine server.

Since:
  V2.0
See Also:
  Serialized Form
Author:
  Ian Brown
Version:
  04/17/2003

Constructor Summary
`Username()` Class constructor.
`Username(String usernameI, String passwordI)` Class constructor to build a `Username` object from username and password strings.

Method Summary
`boolean` `allowAccess(Username usernameI)` Allow the specified `Username` access to this `Username`?
`Object` `clone()` Clones this `Serializable` object.
`String` `getPassword()` Gets the password string.
`String[]` `getRoles()` Gets the list of roles granted to this `Username`.
`String` `getUsername()` Gets the username string.
`boolean` `isEqual(Username otherI)` Is this `Username` equal to the input one?
`void` `setPassword(String passwordI)` Sets the password string.
`void` `setUsername(String usernameI)` Sets the username string.
`String` `toString()` Returns a string representation of this `Username`.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Username

    public Username()

  Class constructor.

  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/14/2003

### Username

    public Username(String usernameI,
                    String passwordI)

  Class constructor to build a `Username` object from username and password strings.

  Parameters:
    `usernameI` - the username string.
    `passwordI` - the password string.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/14/2003

Method Detail

### allowAccess

    public final boolean allowAccess(Username usernameI)

  Allow the specified `Username` access to this `Username`?

  Parameters:
    `usernameI` - the `Username`.
  Returns:
    is the `Username` allowed access?
  Since:
    V2.1
  Author:
    Ian Brown
  Version:
    04/17/2003

### isEqual

    public final boolean isEqual(Username otherI)

  Is this `Username` equal to the input one?

  Parameters:
    `otherI` - the other `Username`.
  Returns:
    are the two equal?
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/14/2003a

### getPassword

    public final String getPassword()

  Gets the password string.

  Returns:
    the password string.
  Since:
    V2.0
  See Also:
    `setPassword(String passwordI)`
  Author:
    Ian Brown
  Version:
    01/14/2003

### getRoles

    public final String[] getRoles()

  Gets the list of roles granted to this `Username`.

  Returns:
    the list of roles.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/14/2003

### getUsername

    public final String getUsername()

  Gets the username string.

  Returns:
    the username string.
  Since:
    V2.0
  See Also:
    `setUsername(String usernameI)`
  Author:
    Ian Brown
  Version:
    01/14/2003

### setPassword

    public final void setPassword(String passwordI)

  Sets the password string.

  Parameters:
    `passwordI` - the password string.
  Since:
    V2.0
  See Also:
    `getPassword()`
  Author:
    Ian Brown
  Version:
    01/14/2003

### setUsername

    public final void setUsername(String usernameI)

  Sets the username string.

  Parameters:
    `usernameI` - the username string.
  Since:
    V2.0
  See Also:
    `getUsername()`
  Author:
    Ian Brown
  Version:
    01/14/2003

### toString

    public final String toString()

  Returns a string representation of this `Username`.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/14/2003

### clone

    public Object clone()

  Clones this `Serializable` object.

  Overrides:
    `clone` in class `Object`
  Returns:
    the clone.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/25/2001